#include<stdio.h>

double fun(int a[], double p[], double pr, int n)
{
    double z=0;
    for(int i=0; i<n; i++)
        if(p[i]>=pr)
        z+=a[i]*(pr/100);
    return z;

}

int main ()
{
    int n, a[1000];
    double z,pr,max=0;
    double p[1000];
    scanf("%d",&n);
    for(int i=0; i<n; i++)
        scanf("%d%lf",&a[i],&p[i]);


        for(int i=0; i<n; i++)
        {
            pr=p[i];
            z=fun(a,p,pr,n);
            if(z>max)
                max=z;
        }
        printf("%.4lf",max);

    return 0;
}